=== man/CMakeLists.txt ===
set(RONN_ORGANIZATION "VirtualSquare")
set(RONN_ARGS --organization=${RONN_ORGANIZATION})

### ronn pages
file(GLOB UMPS_RONN_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8].ronn)
set(UMPS_MAN_FILES)
foreach(UMPS_RONN_PATH IN LISTS UMPS_RONN_PAGES)
# UMPS_RONNPAGE: basename of UMPS_RONN_PATH
	get_filename_component(UMPS_RONNPAGE ${UMPS_RONN_PATH} NAME)
# UMPS_MANPAGE: UMPS_RONNPAGE without the suffix
	string(REGEX REPLACE "\.ronn$" "" UMPS_MANPAGE ${UMPS_RONNPAGE})
	list(APPEND UMPS_MAN_FILES ${UMPS_MANPAGE})
endforeach(UMPS_RONN_PATH)

add_custom_target(${PROJECT_NAME}${PROJECT_VERSION_MAJOR}_manpages ALL make RONN_ARGS="${RONN_ARGS}" ${UMPS_MAN_FILES}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

### man pages
file(GLOB UMPS_MAN_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8])
foreach(UMPS_MAN_PATH IN LISTS UMPS_MAN_PAGES)
	get_filename_component(UMPS_MANPAGE ${UMPS_MAN_PATH} NAME)
	string(REGEX REPLACE ".*\\." "" MAN_CHAPTER ${UMPS_MANPAGE})
	install(FILES ${UMPS_MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${MAN_CHAPTER})
endforeach(UMPS_MAN_PATH)
