=== src/CMakeLists.txt ===
set(UMPS_DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/umps3)

add_subdirectory(base)
add_subdirectory(frontends)
add_subdirectory(include)
add_subdirectory(support)
add_subdirectory(tests)
add_subdirectory(umps)
