=== src/frontends/CMakeLists.txt ===
add_subdirectory(qmps)
