=== src/support/CMakeLists.txt ===
set(UMPS_LIB_DIR ${CMAKE_INSTALL_LIBDIR}/umps3)

add_subdirectory(bios)
add_subdirectory(crt)
add_subdirectory(ldscripts)
add_subdirectory(libumps)
