=== debian/changelog ===
umps3 (3.0.4-1) unstable; urgency=medium

  * d/copyright: Add Metainfo file license
  * New upstream release

 -- Mattia Biondi <mattiabiondi1@gmail.com>  Thu, 22 Oct 2020 10:16:47 +0200

umps3 (3.0.3-1) unstable; urgency=medium

  * d/control: Fix Vcs
  * Add MetaInfo file
  * Update desktop entry file
  * Add screenshots to README.md
  * New upstream release

 -- Mattia Biondi <mattiabiondi1@gmail.com>  Tue, 20 Oct 2020 15:45:39 +0200

umps3 (3.0.1-2) unstable; urgency=medium

  * d/control: Add VirtualSquare Uploader
  * d/control: Fix Vcs

 -- Andrea Capriotti <capriott@debian.org>  Mon, 24 Aug 2020 20:12:42 +0200

umps3 (3.0.1-1) unstable; urgency=medium

  * Initial release

 -- Mattia Biondi <mattiabiondi1@gmail.com>  Mon, 10 Aug 2020 10:40:05 +0200
