=== debian/control ===
Source: umps3
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Section: education
Priority: optional
Build-Depends: debhelper-compat (= 13), cmake (>= 3.5), gcc-mipsel-linux-gnu, libelf-dev, libboost-dev, libsigc++-2.0-dev, qtbase5-dev (>= 5.5)
Standards-Version: 4.5.0
Homepage: https://wiki.virtualsquare.org/#!umps/umps.md
Vcs-Git: https://salsa.debian.org/virtualsquare-team/umps3.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/umps3
Rules-Requires-Root: no

Package: umps3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gcc-mipsel-linux-gnu
Description: Virtual machine simulator based around the MIPS R2/3000 microprocessor
 µMPS is an educational computer system architecture and an accompanying
 emulator designed from the ground up to achieve the right trade-off between
 simplicity and elegance on one side, and realism on the other. This makes µMPS
 ideally suited for use in education, such as hands-on operating systems or
 computer architecture university courses.
 .
 The µMPS processor implements the MIPS I instruction set, and can therefore be
 supported out of the box by existing MIPS compilers. The architecture details
 a complete set of I/O devices (terminals, disks, flash devices, printers, and
 network adapters) that feature a clean, consistent, programming interface.
 The previous revision of the µMPS architecture (µMPS2) brings multiprocessor
 support.
 .
 The emulator comes with built-in debugging features and an easy to use
 graphical user interface. Apart from the emulator itself, several support
 utilities are provided that can get you quickly started in developing programs
 for µMPS.
