=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%umps3-$1.tar.gz%" \
	https://github.com/virtualsquare/umps3/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
