=== src/include/umps/CMakeLists.txt ===
install(FILES aout.h arch.h bios_defs.h cp0.h regdef.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/umps3/umps)
