=== src/support/ldscripts/CMakeLists.txt ===
install(FILES umpsaout.ldscript
        DESTINATION ${UMPS_DATA_DIR})

install(FILES umpscore.ldscript
        DESTINATION ${UMPS_DATA_DIR})
