=== debian/changelog ===
umps3 (3.0.5-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:45 +1100

umps3 (3.0.5-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:25:11 +0000

umps3 (3.0.5-1build1) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 01:05:03 +0000

umps3 (3.0.5-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * fix C99 consistency for NULL
  * new man pages (pandoc)

  [ Mattia Rizzolo ]
  * Drop uupdate from d/watch.

 -- Renzo Davoli <renzo@cs.unibo.it>  Tue, 07 Mar 2023 15:30:38 +0100
